> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hotglue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Magic Link

> Create a Magic Link to allow tenants to link an integration.



## OpenAPI

````yaml post /{env_id}/magicLink
openapi: 3.1.0
info:
  title: hotglue API
  version: '1.2'
servers:
  - url: https://api.hotglue.com
security:
  - sec0: []
paths:
  /{env_id}/magicLink:
    post:
      summary: Create a Magic Link
      description: Create a Magic Link to allow tenants to link an integration.
      operationId: create-magic-link
      parameters:
        - name: env_id
          in: path
          description: ID of environment
          schema:
            type: string
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                tenant:
                  type: string
                  nullable: true
                flow:
                  type: string
                  nullable: true
                entityId:
                  type: string
                  nullable: true
                type:
                  type: string
                  nullable: true
                expiresAt:
                  type: string
                  format: date-time
                  nullable: true
                  description: Optional expiration timestamp for the Magic Link.
                options:
                  type: object
                  additionalProperties: true
              additionalProperties: true
      responses:
        '200':
          description: Magic Link created
          content:
            application/json:
              schema:
                type: object
                properties:
                  url:
                    type: string
                    format: uri
                  expiresAt:
                    type: string
                    format: date-time
                    nullable: true
                additionalProperties: true
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key

````